Exception while trying to run Manycam on Wine

Questions about Wine on Linux
Post Reply
zipuvan
Newbie
Newbie
Posts: 3
Joined: Mon Jan 04, 2021 10:20 am

Exception while trying to run Manycam on Wine

Post by zipuvan » Mon Jan 04, 2021 10:28 am

Hello

I installed ManyCam on my Linux machine using Wine. Now I have had a problem that i could not install wine through my apt manager. So i used the built in Software-app to download it with the help of GUI. The problem that occurred was something with unmet dependencies which i did not know how to solve for a couple of days.

So the GUI helped me get Wine, but i got the 3.0 version. Maybe this is causing the problem below. This happens when I try to run ManyCam after installation.
NOTE: I tried other apps, the same error pops up. So it's not something with manycam. Please help me out. I am using Peppermint 10 OS.

Code: Select all

Unhandled exception: privileged instruction in 32-bit code (0xf755092f).
Register dump:
 CS:0023 SS:002b DS:002b ES:002b FS:006b GS:0063
 EIP:f755092f ESP:002a9894 EBP:002a98b0 EFLAGS:00010286(  R- --  I S - -P- )
 EAX:0420fa44 EBX:0420d038 ECX:0420fa38 EDX:00000000
 ESI:0420fa38 EDI:0420fa38
Stack dump:
0x002a9894:  007885f3 0420fa44 f261c556 0420fa20
0x002a98a4:  002a98f0 00edddf0 00000000 002a98fc
0x002a98b4:  00788315 002a9990 f261c51a 0420c0a8
0x002a98c4:  0420fa20 0420d038 f73a1ad7 f261c51e
0x002a98d4:  0420c0a8 f73a1ac7 002a98f8 0420d038
0x002a98e4:  0420fa20 002a98fc 0420fa38 002a997c
Backtrace:
=>0 0xf755092f (0x002a98b0)
  1 0x00788315 in manycam (+0x388314) (0x002a98fc)
  2 0x0077ce26 in manycam (+0x37ce25) (0x002a9988)
  3 0x0077b828 in manycam (+0x37b827) (0x002a9a34)
  4 0x0077bcc0 in manycam (+0x37bcbf) (0x002a9a88)
  5 0x00d82efb in manycam (+0x982efa) (0x002a9ad4)
  6 0xf5a546e8 (0x00e381e8)
  7 0x000288bb (0x80000005)
0xf755092f: insl	%dx,%es:(%edi)
Modules:
Module	Address			Debug info	Name (125 modules)
PE	  3b0000-  3c9000	Deferred        qt5webchannel
PE	  400000- 271d000	Export          manycam
PE	 43d0000- 441f000	Deferred        qt5webengine
PE	 4420000- 7bae000	Deferred        qt5webenginecore
PE	 7bb0000- 7ec0000	Deferred        qt5quick
PE	 7ec0000- 7f02000	Deferred        qt5positioning
PE	 7f10000- 7f42000	Deferred        qt5webenginewidgets
PE	 7f50000- 7f95000	Deferred        qt5printsupport
PE	 7fa0000- 7fb2000	Deferred        qt5quickwidgets
PE	 7fc0000- 8044000	Deferred        qt5winextras
PE	 8050000- 8094000	Deferred        qt5svg
PE	 80a0000- 80e4000	Deferred        p7x32
PE	 80f0000- 8570000	Deferred        processing.ndi.lib.x86
PE	 8570000- 896d000	Deferred        pdfium
PE	 8970000- 8994000	Deferred        qt5websockets
PE	 89a0000- 8a30000	Deferred        qt5multimedia
PE	 8a30000- 8afc000	Deferred        live555
PE	 8b00000- 8ce0000	Deferred        opencv_core2413
PE	 8ce0000- 8f04000	Deferred        opencv_imgproc2413
PE	 8f10000- 8f90000	Deferred        opencv_objdetect2413
PE	 8f90000- 9186000	Deferred        opencv_highgui2413
PE	 9190000- 91df000	Deferred        opencv_video2413
PE	 91e0000- 91f1000	Deferred        manycamgamecapture
PE	 9200000- 9225000	Deferred        libbz2
PE	 9230000- 9490000	Deferred        avcodec-57
PE	 9490000- 94fb000	Deferred        avutil-55
PE	 9500000- 951c000	Deferred        swresample-2
PE	 9520000- 956d000	Deferred        avformat-57
PE	 9570000- 96a5000	Deferred        libeay32
PE	 96b0000- 96f9000	Deferred        ssleay32
PE	 9de0000- 9f0c000	Deferred        qwindows
PE	 9f10000- 9f18000	Deferred        libegl
PE	 9f20000- a1cd000	Deferred        libglesv2
PE	10000000-1051f000	Deferred        qt5gui
PE	61000000-61027000	Deferred        qt5xml
PE	61e00000-61eca000	Deferred        sqlite3
PE	62000000-6202a000	Deferred        qt5sql
PE	64000000-64103000	Deferred        qt5network
PE	65000000-65457000	Deferred        qt5widgets
PE	66000000-66347000	Deferred        qt5qml
PE	67000000-674e3000	Deferred        qt5core
PE	7a820000-7a824000	Deferred        opengl32
PE	7b410000-7b5b6000	Deferred        kernel32
PE	7bc10000-7bc14000	Deferred        ntdll
PE	7f2f0000-7f2f4000	Deferred        uxtheme
PE	7f550000-7f554000	Deferred        winex11
PE	7f5e0000-7f5e4000	Deferred        imm32
PE	7f800000-7f804000	Deferred        advapi32
PE	7f880000-7f887000	Deferred        gdi32
PE	7f9b0000-7fa76000	Deferred        user32
PE	7fb80000-7fbd0000	Deferred        comctl32
PE	7fcd0000-7fcd4000	Deferred        version
PE	f5520000-f5523000	Deferred        wintab32
PE	f5580000-f5583000	Deferred        wtsapi32
PE	f5590000-f5593000	Deferred        kernelbase
PE	f5a20000-f5a23000	Deferred        api-ms-win-appmodel-runtime-l1-1C:\windows\system32\api-ms-win-appmodel-runtime-l1-1-2.dll
PE	f5a30000-f5a4a000	Deferred        wldap32
PE	f5a90000-f5a93000	Deferred        normaliz
PE	f5ab0000-f5ab4000	Deferred        msvcrt
PE	f5b60000-f5b63000	Deferred        api-ms-win-crt-conio-l1-1-0
PE	f5b70000-f5b74000	Deferred        wintrust
PE	f5ba0000-f5bae000	Deferred        setupapi
PE	f5c10000-f5c14000	Deferred        dsound
PE	f5c60000-f5c69000	Deferred        quartz
PE	f5d50000-f5d53000	Deferred        avicap32
PE	f5d60000-f5d6d000	Deferred        avifil32
PE	f5db0000-f5dbb000	Deferred        msvfw32
PE	f5dd0000-f5dd3000	Deferred        api-ms-win-core-localization-obsC:\windows\system32\api-ms-win-core-localization-obsolete-l1-2-0.dll
PE	f5df0000-f5df3000	Deferred        api-ms-win-core-datetime-l1-1-1
PE	f5e00000-f5e03000	Deferred        api-ms-win-core-string-l1-1-0
PE	f5e10000-f5e14000	Deferred        mswsock
PE	f5e20000-f5e23000	Deferred        api-ms-win-core-localization-l1-C:\windows\system32\api-ms-win-core-localization-l1-2-1.dll
PE	f5e40000-f5e43000	Deferred        api-ms-win-core-fibers-l1-1-1
PE	f6840000-f6843000	Deferred        api-ms-win-core-synch-l1-2-0
PE	f6860000-f6863000	Deferred        dxva2
PE	f6870000-f6874000	Deferred        d3d9
PE	f68b0000-f68c8000	Deferred        wininet
PE	f6930000-f6941000	Deferred        urlmon
PE	f69c0000-f69c4000	Deferred        hid
PE	f69e0000-f69e4000	Deferred        d3d11
PE	f6a50000-f6a54000	Deferred        wined3d
PE	f6b90000-f6b94000	Deferred        dxgi
PE	f6bc0000-f6bc4000	Deferred        msdmo
PE	f6be0000-f6be3000	Deferred        dwrite
PE	f6c40000-f6c45000	Deferred        jsproxy
PE	f6c60000-f6c66000	Deferred        winhttp
PE	f6ca0000-f6ca3000	Deferred        secur32
PE	f6cd0000-f6cd3000	Deferred        ncrypt
PE	f6cf0000-f6cf3000	Deferred        dhcpcsvc
PE	f6d00000-f6d03000	Deferred        usp10
PE	f6d60000-f6d68000	Deferred        oleaut32
PE	f6e80000-f6e84000	Deferred        dbghelp
PE	f6ee0000-f6eea000	Deferred        winspool
PE	f6f20000-f6fb9000	Deferred        comdlg32
PE	f7010000-f7051000	Deferred        crypt32
PE	f7100000-f7104000	Deferred        psapi
PE	f7110000-f7114000	Deferred        dnsapi
PE	f7140000-f7143000	Deferred        msvcr120
PE	f7210000-f7213000	Deferred        concrt140
PE	f7230000-f7234000	Deferred        dwmapi
PE	f7250000-f7253000	Deferred        api-ms-win-crt-locale-l1-1-0
PE	f7260000-f7263000	Deferred        api-ms-win-crt-filesystem-l1-1-0C:\windows\system32\api-ms-win-crt-filesystem-l1-1-0.dll
PE	f7270000-f7273000	Deferred        api-ms-win-crt-convert-l1-1-0
PE	f7290000-f7293000	Deferred        api-ms-win-crt-time-l1-1-0
PE	f72a0000-f72a3000	Deferred        api-ms-win-crt-utility-l1-1-0
PE	f72b0000-f72b3000	Deferred        api-ms-win-crt-string-l1-1-0
PE	f72c0000-f72c3000	Deferred        api-ms-win-crt-math-l1-1-0
PE	f72e0000-f72e3000	Deferred        api-ms-win-crt-stdio-l1-1-0
PE	f72f0000-f72f3000	Deferred        api-ms-win-crt-environment-l1-1-C:\windows\system32\api-ms-win-crt-environment-l1-1-0.dll
PE	f7310000-f7313000	Deferred        api-ms-win-crt-heap-l1-1-0
PE	f7320000-f7323000	Deferred        api-ms-win-crt-runtime-l1-1-0
PE	f7330000-f7333000	Deferred        vcruntime140
PE	f7360000-f7363000	Deferred        ucrtbase
PE	f7470000-f7473000	Deferred        msvcp140
PE	f7560000-f7568000	Deferred        shlwapi
PE	f75e0000-f7742000	Deferred        shell32
PE	f7820000-f7823000	Deferred        userenv
PE	f7840000-f7844000	Deferred        ws2_32
PE	f7880000-f7884000	Deferred        iphlpapi
PE	f78a0000-f78a3000	Deferred        netapi32
PE	f78d0000-f78da000	Deferred        mpr
PE	f7900000-f7909000	Deferred        msacm32
PE	f7930000-f7934000	Deferred        rpcrt4
PE	f79b0000-f79d8000	Deferred        ole32
PE	f7b00000-f7b78000	Deferred        winmm
Threads:
process  tid      prio (all id:s are in hex)
0000000e services.exe
	0000002b    0
	00000028    0
	00000023    0
	0000001d    0
	0000001a    0
	00000015    0
	00000014    0
	00000013    0
	00000010    0
	0000000f    0
00000011 ManyCamService.exe
	00000034    0
	00000033    0
	00000032    0
	00000031    0
	00000030    0
	00000017    0
	00000016    0
	00000012    0
00000018 winedevice.exe
	00000022    0
	0000001f    0
	0000001e    0
	0000001c    0
	0000001b    0
	00000019    0
00000020 plugplay.exe
	00000025    0
	00000024    0
	00000021    0
00000026 winedevice.exe
	00000035    0
	0000002d    0
	0000002c    0
	0000002a    0
	00000029    0
	00000027    0
0000002e explorer.exe
	00000038    0
	00000037    0
	00000036    0
	0000002f    0
00000039 (D) C:\Program Files (x86)\ManyCam\ManyCam.exe
	00000056    0
	00000055    0
	00000053    0
	00000052    0
	00000051    0
	00000050    0
	0000004f    0
	0000004e    0
	0000004d    0
	0000004c    0
	0000004b    0
	0000004a    0
	00000049    0
	00000048    0
	00000047    0
	00000046    0
	00000045    0
	00000044    0
	00000043    0
	00000042    0
	00000041    0
	00000040    0
	0000003f    0
	0000003e    0
	0000003d    0
	0000003c    0
	0000003b    0
	0000003a    0 <==
System information:
    Wine build: wine-3.0 (Ubuntu 3.0-1ubuntu1)
    Platform: i386 (WOW64)
    Version: Windows 10
    Host system: Linux
    Host version: 5.4.0-58-generic
I guess I have to update wine, but i tried

Code: Select all

apt-get upgrade/update/install
and it says everything is up to date.

* I could not install the latest version from winehq.com because the dependency tree was incredibly deep and i cant remember what to install first. Isn't there just a simple way to say install all dependencies and go on..?

jkfloris
Level 9
Level 9
Posts: 1274
Joined: Thu Aug 14, 2014 10:10 am

Re: Exception while trying to run Manycam on Wine

Post by jkfloris » Tue Jan 05, 2021 10:21 am

I could not install the latest version from winehq.com because the dependency tree was incredibly deep
Did you install the libfaudio0 packages?
32-bit: https://download.opensuse.org/repositor ... c_i386.deb
64-bit: https://download.opensuse.org/repositor ... _amd64.deb

zipuvan
Newbie
Newbie
Posts: 3
Joined: Mon Jan 04, 2021 10:20 am

Re: Exception while trying to run Manycam on Wine

Post by zipuvan » Wed Jan 06, 2021 7:42 am

jkfloris wrote:
Tue Jan 05, 2021 10:21 am
Did you install the libfaudio0 packages?
I just did, I did not have that installed. But yet again i have deleted wine 3.0 and tried to install latest winehq-stable and this is what shows up.

Code: Select all

The following packages have unmet dependencies:
 winehq-stable : Depends: wine-stable (= 5.0.3~buster)
E: Unable to correct problems, you have held broken packages.
When i try to install wine-stable then another thing comes up, and another and another...I said to my self ok i will sit down and install all of this. And just as I thought I reached the end of the dependency tree something said, this could not be installed.

Can you help out :S

jkfloris
Level 9
Level 9
Posts: 1274
Joined: Thu Aug 14, 2014 10:10 am

Re: Exception while trying to run Manycam on Wine

Post by jkfloris » Wed Jan 06, 2021 4:32 pm

Depends: wine-stable (= 5.0.3~buster)
Maybe I'm wrong, but isn't Peppermint 10 based on Ubuntu 18.04 Bionic?

zipuvan
Newbie
Newbie
Posts: 3
Joined: Mon Jan 04, 2021 10:20 am

Re: Exception while trying to run Manycam on Wine

Post by zipuvan » Thu Jan 07, 2021 4:59 pm

not sure, i tried that too. I still have the dependency problem. I just read on the homepage that I have to work my way down. What happens if something says cannot be installed ?

jkfloris
Level 9
Level 9
Posts: 1274
Joined: Thu Aug 14, 2014 10:10 am

Re: Exception while trying to run Manycam on Wine

Post by jkfloris » Fri Jan 08, 2021 5:17 am

The problem is often that a 32-bit library does not have the same version number as the 64-bit.

Which repositories do you use?

Code: Select all

grep -R "^deb" /etc/apt/sources.list*

Post Reply